> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Propose Transaction

> Proposes the DRAFT batch as a signed Safe multi-send, records the proposal, sets payroll PENDING.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-propose-transaction
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-propose-transaction:
    post:
      operationId: selfServeProposeTransaction
      summary: Self Serve Propose Transaction
      description: >-
        Proposes the DRAFT batch as a signed Safe multi-send, records the
        proposal, sets payroll PENDING.


        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeProposeTransactionRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeProposeTransactionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '422':
          description: Unprocessable entity
        '429':
          description: Response 429
components:
  schemas:
    SelfServeProposeTransactionRequest:
      type: object
      properties:
        payrollID:
          type: string
          format: uuid
      required:
        - payrollID
    SelfServeProposeTransactionResponse:
      type: object
      properties:
        proposalID:
          type: string
        safeTxHash:
          type: string
        safeAddress:
          type: string
        safeAppUrl:
          type: string
        totalAmount:
          type: string
        token:
          type: string
        transactionCount:
          type: integer
        proposedAt:
          type: string
      required:
        - proposalID
        - safeTxHash
        - safeAddress
        - safeAppUrl
        - totalAmount
        - token
        - transactionCount
        - proposedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
